## org.apache.poi.openxml4j.opc
Class StreamHelper

    java.lang.Object
      org.apache.poi.openxml4j.opc.StreamHelper

    public final class StreamHelper

extends java.lang.Object

Method Summary
`static boolean` `copyStream(java.io.InputStream inStream, java.io.OutputStream outStream)` Copy the input stream into the output stream.
`static boolean` `saveXmlInStream(org.dom4j.Document xmlContent, java.io.OutputStream outStream)` Turning the DOM4j object in the specified output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### saveXmlInStream

    public static boolean saveXmlInStream(org.dom4j.Document xmlContent,
                                          java.io.OutputStream outStream)

  Turning the DOM4j object in the specified output stream.

  Parameters:
    `xmlContent` - The XML document.
    `outStream` - The OutputStream in which the XML document will be written.
  Returns:
    true if the xml is successfully written in the stream, else false.

### copyStream

    public static boolean copyStream(java.io.InputStream inStream,
                                     java.io.OutputStream outStream)

  Copy the input stream into the output stream.

  Parameters:
    `inStream` - The source stream.
    `outStream` - The destination stream.
  Returns:
    true if the operation succeed, else return false.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.